## ros-melodic-sbg-driver 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sbg_driver)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  geometry_msgs
  message_generation
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(FILES
  SbgGpsVelStatus.msg
  SbgGpsPosStatus.msg
  SbgMagStatus.msg
  SbgShipMotionStatus.msg
  SbgUtcTimeStatus.msg

  SbgAirData.msg
  SbgAirDataStatus.msg
  SbgEkfEuler.msg
  SbgGpsPos.msg
  SbgMag.msg
  SbgStatusCom.msg
  SbgEkfNav.msg
  SbgGpsRaw.msg
  SbgOdoVel.msg
  SbgStatusGeneral.msg
  SbgEkfQuat.msg
  SbgGpsVel.msg
  SbgStatus.msg
  SbgEvent.msg
  SbgImuStatus.msg
  SbgImuData.msg
  SbgImuShort.msg
  SbgShipMotion.msg
  SbgUtcTime.msg
  SbgGpsHdt.msg
  SbgMagCalib.msg
  SbgStatusAiding.msg
  SbgEkfStatus.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES
  std_msgs
  geometry_msgs
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS src
  #LIBRARIES ${PROJECT_NAME} 
  CATKIN_DEPENDS 
    message_runtime 
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    geometry_msgs
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
add_subdirectory(external/sbgECom)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${PROJECT_SOURCE_DIR}/include/sbg_driver/
  ${PROJECT_SOURCE_DIR}/external/sbgECom/common
  ${PROJECT_SOURCE_DIR}/external/sbgECom/src
)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(sbg ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Define common resources.
set (SBG_COMMON_RESOURCES
  src/config_applier.cpp
  src/message_publisher.cpp
  src/message_wrapper.cpp
  src/config_store.cpp
  src/sbg_device.cpp
)

## Declare a C++ executable
add_executable(sbg_device ${SBG_COMMON_RESOURCES} src/main.cpp)
add_dependencies(sbg_device ${sbg_driver_EXPORTED_TARGETS})
target_compile_options(sbg_device PRIVATE -fpermissive)

add_executable(sbg_device_mag ${SBG_COMMON_RESOURCES} src/main_mag.cpp)
add_dependencies(sbg_device_mag ${sbg_driver_EXPORTED_TARGETS})
target_compile_options(sbg_device_mag PRIVATE -fpermissive)

## Specify libraries to link a library or executable target against
target_link_libraries(sbg_device ${catkin_LIBRARIES} sbgECom)
target_link_libraries(sbg_device_mag ${catkin_LIBRARIES} sbgECom)

set_property(TARGET sbg_device PROPERTY CXX_STANDARD 11)
set_property(TARGET sbg_device_mag PROPERTY CXX_STANDARD 11)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS sbg_device sbg_device_mag
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
  PATTERN ".git" EXCLUDE
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".git" EXCLUDE)

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
  PATTERN ".git" EXCLUDE)

#############
## Testing ##
#############

=== debian/changelog ===
ros-melodic-sbg-driver (2.0.2-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Fri, 24 Jan 2020 13:22:28 -0000

ros-melodic-sbg-driver (2.0.1-1stretch) stretch; urgency=high

  * Improve vector handling
  * Fix include file (Issue #26 <https://github.com/SBG-Systems/sbg_ros_driver/issues/26>)

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-melodic-sbg-driver (2.0.0-1stretch) stretch; urgency=high

  * Fix integer type
  * Update sbgECom messages (AirData, ImuShort)
  * Update sbgECom library to 1.11.920-stable
  * Improve numeric type
  * Improve configuration applier
  * Improve error handling
  * Code improvement
  * Improve device configuration
  * Update changelog
  * Update and improve README.md
  * Update magnetic services
  * Improve message timestamping
  * Add some ROS standard sensor messages (Issue #17 <https://github.com/SBG-Systems/sbg_ros_driver/issues/17>)
  * Comply file structure to ROS best pratices
  * Add a processing time to improve message handling
  * Add udev rules to documentation (Issue #21 <https://github.com/SBG-Systems/sbg_ros_driver/issues/21>)
  * Improve magnetometers calibration
  * Update maintainer of the package (Issue #20 <https://github.com/SBG-Systems/sbg_ros_driver/issues/20>)
  * Enable/Disable the configuration of the device (Issue #19 <https://github.com/SBG-Systems/sbg_ros_driver/issues/19>)
  * Define unified class and launch files for all SBG devices
  * Define classes for device configuration
  * Merge pull request #18 <https://github.com/SBG-Systems/sbg_ros_driver/issues/18> from SBG-Systems/messagePublisherRework
  * Integrate new message publisher to the Ellipse class (Issue #15 <https://github.com/SBG-Systems/sbg_ros_driver/issues/15>)
  * Define a class to publish messages
  * Define class to wrap SBG logs to Ros messages
  * Merge pull request #16 <https://github.com/SBG-Systems/sbg_ros_driver/issues/16> from SBG-Systems/v4.3
  * [src] Update SDK version + add LogE support
  * Merge pull request #13 <https://github.com/SBG-Systems/sbg_ros_driver/issues/13> from nicolaje/remove-non-ascii-char
  * [conf] Removed non-ASCII characters, (Issue #8 <https://github.com/SBG-Systems/sbg_ros_driver/issues/8>)
  * [msg] Remove non ascii characters

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Sun, 05 Jan 2020 23:00:00 -0000

ros-melodic-sbg-driver (1.1.7-1stretch) stretch; urgency=high

  * [src] Change SbgEkfEuler comments
  * [src] Move .h to include folder + test new method for time saving in calib

 -- Thomas Le Mézo <thomas.le_mezo@ensta-bretagne.org>  Wed, 18 Jul 2018 22:00:00 -0000

ros-melodic-sbg-driver (1.1.6-1stretch) stretch; urgency=high

  * [config, src] Update default port for gps aiding (Ellipse-E) + add save & reboot for mag calibration
  * [build] Add include for debian jessie arm64 build issue

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Sat, 17 Mar 2018 23:00:00 -0000

ros-melodic-sbg-driver (1.1.5-1stretch) stretch; urgency=high

  * [src] Update mag calibration

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Mon, 12 Mar 2018 22:49:00 -0000

ros-melodic-sbg-driver (1.1.4-1stretch) stretch; urgency=high

  * [catkin] Update install launch & config
  * [src] Update library + Correction bugs

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Mon, 12 Mar 2018 22:10:00 -0000

ros-melodic-sbg-driver (1.1.3-1stretch) stretch; urgency=high

  * Update dependencies to std_srvs

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Mon, 12 Mar 2018 10:46:00 -0000

ros-melodic-sbg-driver (1.1.2-1stretch) stretch; urgency=high

  * [ChangeLog] Remove
  * [ChangeLog] Update
  * [Changelog] Test
  * [test] Changelog
  * [Changelog] Update
  * [CMake] Correction of message dependency

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Mon, 12 Mar 2018 08:54:00 -0000

ros-melodic-sbg-driver (1.1.1-1stretch) stretch; urgency=high

  * [xml] Update version number
  * [src] Correction of small bugs + add publisher only on activated log
  * [merge] Finalize merge from devel branch (master divergence issue)
  * [lib] Update the library sbgECom version after merging from devel
  * [Merge]
  * Merge branch 'master' of https://github.com/ENSTABretagneRobotics/sbg_ros_driver
  * [src] Update doc
  * [src] Update magnetic calibration node
  * Revert "1.0.7"
    This reverts commit 8f57f9e578937ac23383e39ebf616d1039384b09.
  * Update README
  * Merge pull request #2 <https://github.com/SBG-Systems/sbg_ros_driver/issues/2> from rpng/master
    Upgrade sbg_ros_driver
  * Moved the logging function into the class
  * Added - Start of heading code
  * Refactor and added new publishers
  * Increased rates
  * refactoring
    use a class for callbacks
    changed callbacks around a bit, now shows raw data rather than ekf logs
  * use gps log message for NavSatFix message
  * add extra debug messages
  * use private namespace
  * modified launch file
    moved to launch folder and added optional arguments
  * updated sbgECom library

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Sat, 10 Mar 2018 23:00:00 -0000

ros-melodic-sbg-driver (1.1.0-1stretch) stretch; urgency=high

  * [src] Update Events
  * [src] Add params
  * [src] Update (add configuration of the ellipse)
  * [src] Update messages
  * [src] Start creating sbg messages

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Fri, 09 Mar 2018 23:00:00 -0000

ros-melodic-sbg-driver (1.0.7-1stretch) stretch; urgency=high

  * [src][minor] Correct launch file

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Fri, 31 Mar 2017 22:00:00 -0000

ros-melodic-sbg-driver (1.0.6-1stretch) stretch; urgency=high

  * CHANGELOG
  * [src] Add launch example
  * [src] Change imu data & add gyroscopes

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Thu, 30 Mar 2017 22:00:00 -0000

ros-melodic-sbg-driver (1.0.5-1stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-sbg-driver
Section: misc
Priority: optional
Maintainer: Erwan Cabon <erwan.cabon@sbg-systems.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://wiki.ros.org/sbg_driver
Standards-Version: 3.9.2

Package: ros-melodic-sbg-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: The SBG ROS Driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-sbg-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-sbg-driver 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -101,11 +101,11 @@
 ## Declare a C++ executable
 add_executable(sbg_device ${SBG_COMMON_RESOURCES} src/main.cpp)
 add_dependencies(sbg_device ${sbg_driver_EXPORTED_TARGETS})
-target_compile_options(sbg_device PRIVATE -fpermissive)
+target_compile_options(sbg_device PRIVATE -Wall -Wextra)
 
 add_executable(sbg_device_mag ${SBG_COMMON_RESOURCES} src/main_mag.cpp)
 add_dependencies(sbg_device_mag ${sbg_driver_EXPORTED_TARGETS})
-target_compile_options(sbg_device_mag PRIVATE -fpermissive)
+target_compile_options(sbg_device_mag PRIVATE -Wall -Wextra)
 
 ## Specify libraries to link a library or executable target against
 target_link_libraries(sbg_device ${catkin_LIBRARIES} sbgECom)

=== debian/changelog ===
ros-melodic-sbg-driver (3.0.0-1bionic) bionic; urgency=high

  * Merge pull request #62 <https://github.com/SBG-Systems/sbg_ros_driver/issues/62> from SBG-Systems/devel
    Devel
  * Merge pull request #61 <https://github.com/SBG-Systems/sbg_ros_driver/issues/61> from SBG-Systems/fix-frame-convention
    Fix frame convention errors
  * Make sure only delta angles/velocities are used
    + syntax fixes
  * Improved comments & README file
  * Fix missing checks on UTC / Unix time computation
  * Updated sbgECom messages definitions
  * Update README.md and releasePackage.md
  * Clean up readme
  * Fix position accuracy
  * Replace pow by multiplication
  * Complete README.md
  * Fix bugs in message wrapper and complete message definitions
  * Fix Z GPS velocity
  * Fix frame convention errors
  * Merge pull request #59 <https://github.com/SBG-Systems/sbg_ros_driver/issues/59> from SBG-Systems/fix-frame-id
    Fix param name
  * Fix param name
  * Fix inconsistent tab and spaces usages.
    Now all files are using spaces
  * Add wrap 2PI
  * Fix bugs
  * Fix matrix accuracy
  * Fix course
  * wrapper: Fix ENU->NED for GPS messages
  * warpper: Change createrVector3 names
  * wrapper: Fix setter
  * wrapper: Fix missing ENU conversion an add comment for cov
  * wrapper: Fix regresion
  * coding style : Remove tables
  * publisher: Configure the wrapper before init the publisher
  * main: Fix loopFrequency type
  * config: Restore output configuration
  * config: Replace enu by use_enu
  * enu: Replace enu by use_enu and rename frame convertion function
  * frame_id: Change default value
  * clean up
  * #51 <https://github.com/SBG-Systems/sbg_ros_driver/issues/51> - Correctly fill convariances parameters
  * project: Update maintainer
  * config: Update parameters
  * #45 <https://github.com/SBG-Systems/sbg_ros_driver/issues/45>-#50 <https://github.com/SBG-Systems/sbg_ros_driver/issues/50> - Add parameters to set frame ID and ENU convention
  * #48 <https://github.com/SBG-Systems/sbg_ros_driver/issues/48> - # 52 Add a parameter to select header stamp source and read ROS time when publishing the message
  * #47 <https://github.com/SBG-Systems/sbg_ros_driver/issues/47> Remove node ros::Rate period auto computation and only read it from a node parameter
  * clean up: Remove blank spaces
  * Merge pull request #35 <https://github.com/SBG-Systems/sbg_ros_driver/issues/35> from ShepelIlya/patch-1
    Fixed time_stamp value initializing in SbgEkfNavMessage.
  * Added/updated license to MIT
  * Updated maintainer
  * Fixed timeStamp value initializing in SbgEkfNavMessage.
  * Contributors: Michael Zemb, Raphael Siryani, ShepelIlya, bsaussay, rsiryani

 -- SBG Systems <support@sbg-systems.com>  Mon, 30 Aug 2021 22:00:00 -0000

ros-melodic-sbg-driver (2.0.3-1bionic) bionic; urgency=high

  * Improve matrix handling
  * Fix body velocity computation (Issue #31 <https://github.com/SBG-Systems/sbg_ros_driver/issues/31>)

 -- Hadrien Pomès <hadrien.pomes@sbg-systems.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-melodic-sbg-driver (2.0.1-1bionic) bionic; urgency=high

  * Improve vector handling
  * Fix include file (Issue #26 <https://github.com/SBG-Systems/sbg_ros_driver/issues/26>)

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-melodic-sbg-driver (2.0.0-1bionic) bionic; urgency=high

  * Fix integer type
  * Update sbgECom messages (AirData, ImuShort)
  * Update sbgECom library to 1.11.920-stable
  * Improve numeric type
  * Improve configuration applier
  * Improve error handling
  * Code improvement
  * Improve device configuration
  * Update changelog
  * Update and improve README.md
  * Update magnetic services
  * Improve message timestamping
  * Add some ROS standard sensor messages (Issue #17 <https://github.com/SBG-Systems/sbg_ros_driver/issues/17>)
  * Comply file structure to ROS best pratices
  * Add a processing time to improve message handling
  * Add udev rules to documentation (Issue #21 <https://github.com/SBG-Systems/sbg_ros_driver/issues/21>)
  * Improve magnetometers calibration
  * Update maintainer of the package (Issue #20 <https://github.com/SBG-Systems/sbg_ros_driver/issues/20>)
  * Enable/Disable the configuration of the device (Issue #19 <https://github.com/SBG-Systems/sbg_ros_driver/issues/19>)
  * Define unified class and launch files for all SBG devices
  * Define classes for device configuration
  * Merge pull request #18 <https://github.com/SBG-Systems/sbg_ros_driver/issues/18> from SBG-Systems/messagePublisherRework
  * Integrate new message publisher to the Ellipse class (Issue #15 <https://github.com/SBG-Systems/sbg_ros_driver/issues/15>)
  * Define a class to publish messages
  * Define class to wrap SBG logs to Ros messages
  * Merge pull request #16 <https://github.com/SBG-Systems/sbg_ros_driver/issues/16> from SBG-Systems/v4.3
  * [src] Update SDK version + add LogE support
  * Merge pull request #13 <https://github.com/SBG-Systems/sbg_ros_driver/issues/13> from nicolaje/remove-non-ascii-char
  * [conf] Removed non-ASCII characters, (Issue #8 <https://github.com/SBG-Systems/sbg_ros_driver/issues/8>)
  * [msg] Remove non ascii characters

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Sun, 05 Jan 2020 23:00:00 -0000

ros-melodic-sbg-driver (1.1.7-1bionic) bionic; urgency=high

  * [src] Change SbgEkfEuler comments
  * [src] Move .h to include folder + test new method for time saving in calib

 -- Thomas Le Mézo <thomas.le_mezo@ensta-bretagne.org>  Wed, 18 Jul 2018 22:00:00 -0000

ros-melodic-sbg-driver (1.1.6-1bionic) bionic; urgency=high

  * [config, src] Update default port for gps aiding (Ellipse-E) + add save & reboot for mag calibration
  * [build] Add include for debian jessie arm64 build issue

 -- Erwan Cabon <erwan.cabon@sbg-systems.com>  Sat, 17 Mar 2018 23:00:00 -0000

ros-melodic-sbg-driver (1.1.5-1bionic) bionic; urgency=high

  * [src] Update mag calibration



=== debian/control ===
Source: ros-melodic-sbg-driver
Section: misc
Priority: optional
Maintainer: SBG Systems <support@sbg-systems.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://wiki.ros.org/sbg_driver
Standards-Version: 3.9.2

Package: ros-melodic-sbg-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: ROS driver package for communication with the SBG navigation systems.
